Package com.scriptel.proscript

## Class RegionText

- java.lang.Object
- - com.scriptel.proscript.Region
  - - com.scriptel.proscript.RegionText

-     public class RegionText
      extends Region

  This class represents a Static Text Region

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `JUSTIFY_BOTTOM` | This static text will be justified to the bottom.
    `static int` | `JUSTIFY_CENTER` | This static text will be justified to the center.
    `static int` | `JUSTIFY_LEFT` | This static text will be justified to the left.
    `static int` | `JUSTIFY_RIGHT` | This static text will be justified to the right.
    `static int` | `JUSTIFY_TOP` | This static text will be justified to the top.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegionText()` | Public constructor, creates a new blank static text region.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `int` | `getFontNumber()` | Gets the Font ID used to draw the static text to the device.
    `int` | `getHorizontalJustification()` | Gets the horizontal justification for the static text in this region.
    `int` | `getResourceNumber()` | Gets the resource ID used for this region.
    `int` | `getTextReserved()` | Reserved for future use.
    `int` | `getVerticalJustification()` | Gets the vertical justification for the static text in this region.
    `int` | `hashCode()` |
    `void` | `setFontNumber​(int fontNumber)` | Sets the Font ID used to draw the static text to the device.
    `void` | `setHorizontalJustification​(int horizontalJustification)` | Sets the horizontal justification for the static text in this region.
    `void` | `setResourceNumber​(int resourceNumber)` | Sets the resource ID used for this region.
    `void` | `setTextReserved​(int textReserved)` | Reserved for future use.
    `void` | `setVerticalJustification​(int verticalJustification)` | Sets the vertical justification for the static text in this region.
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class com.scriptel.proscript.Region

      `acceptsTouch, getColorBackground, getColorForeground, getNumber, getOutputToHost, getReserved2, getX1, getX2, getY1, getY2, hasFrame, isDecode, isInUse, isReserved1, isVisible, setAcceptTouch, setColorBackground, setColorForeground, setDecode, setHasFrame, setInUse, setNumber, setOutputToHost, setReserved1, setReserved2, setVisible, setX1, setX2, setY1, setY2`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JUSTIFY_LEFT

          public static final int JUSTIFY_LEFT

      This static text will be justified to the left.
      See Also:
        Constant Field Values

    - #### JUSTIFY_TOP

          public static final int JUSTIFY_TOP

      This static text will be justified to the top.
      See Also:
        Constant Field Values

    - #### JUSTIFY_RIGHT

          public static final int JUSTIFY_RIGHT

      This static text will be justified to the right.
      See Also:
        Constant Field Values

    - #### JUSTIFY_BOTTOM

          public static final int JUSTIFY_BOTTOM

      This static text will be justified to the bottom.
      See Also:
        Constant Field Values

    - #### JUSTIFY_CENTER

          public static final int JUSTIFY_CENTER

      This static text will be justified to the center. Can be set for both horizontal and vertical.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RegionText

          public RegionText()

      Public constructor, creates a new blank static text region.

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `Region`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Region`

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `Region`
      Returns:
        Human readable string.

    - #### getResourceNumber

          public int getResourceNumber()

      Gets the resource ID used for this region.
      Returns:
        resource number

    - #### setResourceNumber

          public void setResourceNumber​(int resourceNumber)

      Sets the resource ID used for this region.
      Parameters:
        `resourceNumber` - resource number

    - #### getFontNumber

          public int getFontNumber()

      Gets the Font ID used to draw the static text to the device.
      Returns:
        font number

    - #### setFontNumber

          public void setFontNumber​(int fontNumber)

      Sets the Font ID used to draw the static text to the device.
      Parameters:
        `fontNumber` - font number

    - #### getHorizontalJustification

          public int getHorizontalJustification()

      Gets the horizontal justification for the static text in this region.
      Returns:
        horizontal justification

    - #### setHorizontalJustification

          public void setHorizontalJustification​(int horizontalJustification)

      Sets the horizontal justification for the static text in this region.
      Parameters:
        `horizontalJustification` - horizontal justification

    - #### getVerticalJustification

          public int getVerticalJustification()

      Gets the vertical justification for the static text in this region.
      Returns:
        vertical justification

    - #### setVerticalJustification

          public void setVerticalJustification​(int verticalJustification)

      Sets the vertical justification for the static text in this region.
      Parameters:
        `verticalJustification` - vertical justification

    - #### getTextReserved

          public int getTextReserved()

      Reserved for future use.
      Returns:
        static text reserved

    - #### setTextReserved

          public void setTextReserved​(int textReserved)

      Reserved for future use.
      Parameters:
        `textReserved` - text static text reserved